unit UComunePiano;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  UComune, PianoCartesiano, ComCtrls, ToolWin, ExtCtrls, ImgList;

type
  TComunePiano = class(TComune)
    SizePianoCartesiano1: TSizePianoCartesiano;
    ToolBar1: TToolBar;
    ImageList1: TImageList;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    ToolButton4: TToolButton;
    ToolButton5: TToolButton;
    procedure ToolButton1Click(Sender: TObject);
    procedure ToolButton2Click(Sender: TObject);
    procedure ToolButton3Click(Sender: TObject);
    procedure ToolButton5Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    PianoCartesiano: TPianoCartesiano;
    procedure NotifyEvent(Sender: TObject); override;
  end;

var
  ComunePiano: TComunePiano;

implementation

{$R *.DFM}

procedure TComunePiano.ToolButton1Click(Sender: TObject);
begin
  PianoCartesiano.PCMode := pcmZoom;
  PianoCartesiano.Cursor := crAppStart;
end;

procedure TComunePiano.ToolButton2Click(Sender: TObject);
begin
  PianoCartesiano.PCMode := pcmMove;
  PianoCartesiano.Cursor := crDrag;
end;

procedure TComunePiano.NotifyEvent(Sender: TObject);
begin
  PianoCartesiano.Invalidate;
end;

procedure TComunePiano.ToolButton3Click(Sender: TObject);
begin
  PianoCartesiano.PCMode := pcmInvZoom;
  PianoCartesiano.Cursor := crCross;
end;

procedure TComunePiano.ToolButton5Click(Sender: TObject);
begin
  PianoCartesiano.PCMode := pcmNone;
  PianoCartesiano.Cursor := crDefault;
end;

end.
