unit UMemoryStatus;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, ExtCtrls, StdCtrls;

type
  TMemoryStatus = class(TForm)
    Timer1: TTimer;
    TrackBar1: TTrackBar;
    Label1: TLabel;
    TAS: TLabel;
    Label3: TLabel;
    TU: TLabel;
    Label5: TLabel;
    TC: TLabel;
    Label7: TLabel;
    TA: TLabel;
    Label9: TLabel;
    TF: TLabel;
    Label11: TLabel;
    FS: TLabel;
    Label13: TLabel;
    FB: TLabel;
    Label15: TLabel;
    U: TLabel;
    Label17: TLabel;
    OH: TLabel;
    Label19: TLabel;
    HEC: TLabel;
    procedure TrackBar1Change(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MemoryStatus: TMemoryStatus;

implementation

{$R *.dfm}

procedure TMemoryStatus.TrackBar1Change(Sender: TObject);
begin
  Timer1.Interval := TrackBar1.Position;
end;

procedure TMemoryStatus.Timer1Timer(Sender: TObject);
var
  HP: THeapStatus;
begin
  HP := GetHeapStatus;
  TAS.Caption := IntToStr(HP.TotalAddrSpace);
  TU.Caption :=  IntToStr(HP.TotalUncommitted);
  TC.Caption :=  IntToStr(HP.TotalCommitted);
  TA.Caption :=  IntToStr(HP.TotalAllocated);
  TF.Caption :=  IntToStr(HP.TotalFree);
  FS.Caption :=  IntToStr(HP.FreeSmall);
  FB.Caption :=  IntToStr(HP.FreeBig);
  U.Caption :=   IntToStr(HP.Unused);
  OH.Caption :=  IntToStr(HP.Overhead);
  HEC.Caption := IntToStr(HP.HeapErrorCode);
end;

procedure TMemoryStatus.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  Action := caFree;
  MemoryStatus := nil;
end;

end.
